<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionVehiclePlaneThrottle Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d8d/a07626.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionVehiclePlaneThrottle Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionVehiclePlaneThrottle:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d7/d8d/a07626.png" usemap="#ExpansionVehiclePlaneThrottle_map" alt=""/>
  <map id="ExpansionVehiclePlaneThrottle_map" name="ExpansionVehiclePlaneThrottle_map">
<area href="../../de/dd3/a07618.html" alt="ExpansionVehicleThrottle" shape="rect" coords="0,0,187,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a04fed055c4973a055813ad9949cca5f7"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d8d/a07626.html#a04fed055c4973a055813ad9949cca5f7">Control</a> (<a class="el" href="../../d4/d15/a07502.html">ExpansionPhysicsState</a> pState, <a class="el" href="../../df/df6/a04914.html">DayZPlayerImplement</a> pDriver)</td></tr>
<tr class="separator:a04fed055c4973a055813ad9949cca5f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ad2ddd0d3499cbbd746ab4f69acf7e032"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d8d/a07626.html#ad2ddd0d3499cbbd746ab4f69acf7e032">m_VariableInput</a> = false</td></tr>
<tr class="separator:ad2ddd0d3499cbbd746ab4f69acf7e032"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07fe86329b526e203f9be9b7728ebabf"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d8d/a07626.html#a07fe86329b526e203f9be9b7728ebabf">m_UpPressed</a></td></tr>
<tr class="separator:a07fe86329b526e203f9be9b7728ebabf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7b034eed8db0d21707dcfc47bf3bded"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d8d/a07626.html#ab7b034eed8db0d21707dcfc47bf3bded">m_DownPressed</a></td></tr>
<tr class="separator:ab7b034eed8db0d21707dcfc47bf3bded"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dd/dfd/a03017_source.html#l00115">115</a> of file <a class="el" href="../../dd/dfd/a03017_source.html">expansionvehiclethrottle.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a04fed055c4973a055813ad9949cca5f7" name="a04fed055c4973a055813ad9949cca5f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04fed055c4973a055813ad9949cca5f7">&#9670;&#160;</a></span>Control()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionVehiclePlaneThrottle::Control </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d15/a07502.html">ExpansionPhysicsState</a>&#160;</td>
          <td class="paramname"><em>pState</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df6/a04914.html">DayZPlayerImplement</a>&#160;</td>
          <td class="paramname"><em>pDriver</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dfd/a03017_source.html#l00121">121</a> of file <a class="el" href="../../dd/dfd/a03017_source.html">expansionvehiclethrottle.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ab7b034eed8db0d21707dcfc47bf3bded" name="ab7b034eed8db0d21707dcfc47bf3bded"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7b034eed8db0d21707dcfc47bf3bded">&#9670;&#160;</a></span>m_DownPressed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionVehiclePlaneThrottle::m_DownPressed</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dfd/a03017_source.html#l00119">119</a> of file <a class="el" href="../../dd/dfd/a03017_source.html">expansionvehiclethrottle.c</a>.</p>

</div>
</div>
<a id="a07fe86329b526e203f9be9b7728ebabf" name="a07fe86329b526e203f9be9b7728ebabf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07fe86329b526e203f9be9b7728ebabf">&#9670;&#160;</a></span>m_UpPressed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionVehiclePlaneThrottle::m_UpPressed</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dfd/a03017_source.html#l00118">118</a> of file <a class="el" href="../../dd/dfd/a03017_source.html">expansionvehiclethrottle.c</a>.</p>

</div>
</div>
<a id="ad2ddd0d3499cbbd746ab4f69acf7e032" name="ad2ddd0d3499cbbd746ab4f69acf7e032"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2ddd0d3499cbbd746ab4f69acf7e032">&#9670;&#160;</a></span>m_VariableInput</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionVehiclePlaneThrottle::m_VariableInput = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/dfd/a03017_source.html#l00117">117</a> of file <a class="el" href="../../dd/dfd/a03017_source.html">expansionvehiclethrottle.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/vehicles/modules/<a class="el" href="../../dd/dfd/a03017_source.html">expansionvehiclethrottle.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/d8d/a07626.html">ExpansionVehiclePlaneThrottle</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
